-- $Name: Ни о чём$
-- $Version: 0.5$
-- $Author: OgurechniKiller$

instead_version "1.6.0"

require "xact"
require "dbg"
require "hideinv"
require "para"
require "dash"
require "quotes"

dofile 'ep2.lua'
dofile 'ep2_5.lua'
dofile 'ep3.lua'
dofile 'credits.lua'

game.act = "Хм..."
game.inv = "Что-то странное..."
game.use = "Не выходит..."
game.forcedsc = true
function init()
take (knifedr);
take (lighterdr);
end;

knifedr = obj { -- dr показывает, что данный предмет относится к сцене сна;
	nam = 'Мой нож',
	inv = [[Мой любимый нож, который я сам выбирал в охотничьем магазине. Он не очень острый, так как точил я его сам.]],
	use = function (s,w)
	if w ~= penchekryak then
	p [[Я не буду это резать.]];
	else 
	p [[Я схватил нож покрепче]];
	end;
	end,
	};
	
lighterdr = obj {
	var { on = false
	},
	nam = 'Фонарь',
	inv = function (s)
	if s.on == false then
	p [[Мой фонарик, купленный в спорт-товарах. Я его включил. Очень ярко светит. В нём стоят новые батарейки.]];
	s.on = true;
	else
	p [[Мой фонарик, купленный в спорт-товарах. Я его выключил. В нём стоят новые батарейки.]];
	s.on = false;
	end;
	end,
	use = [[Я не хочу его разбивать, тем более об это.]],
	}
	
main = room {
	hideinv = true,
	forcedsc = true,
	entered = function ()
	set_music(nil);
	end;
	nam = 'Вступление',
	dsc = [[^^^^Этот день обещал быть спокойным. Мне хотелось всего лишь проведать своих друзей. Но я даже не подозревал, какое приключение меня ожидает...^^{startdr|Начать игру}]],
	obj = {
		xact('startdr', code[[walk(main1);]]),
		},
	};
	
main1 = room {
forcedsc = true,
enter = function ()
  set_music('files/p_f_a.ogg');
end;
nam = 'У больницы',
dsc = function()
if zamok.closed then
p [[Я стою у заброшенной больницы, со мной два друга -- {vladdr|Влад} и {paveldr|Павел}.^^ Тёмные {windows|окна} выглядят зловеще в этой темноте...]];
else
p [[Я стою у заброшенной больницы, со мной два друга -- {vladdr|Влад} и {paveldr|Павел}.^^ Тёмные {windows|окна} выглядят зловеще в этой темноте... По крайней мере, теперь можно открыть {inside|дверь}!]];
end;
end,
obj = {
xact('windows','Такое чувство, будто там кто-то есть...'),
xact('inside', code[[walk(hospitaldr);]]),
xact('paveldr', code[[walk(paveldr);]]), -- dr показывает, что это относится к сцене сна;
xact('vladdr', code[[walk(vladdr);]]),
'zamok',
'key',
},
}
vladdr = dlg {
	nam = 'Разговор с Владом',
	dsc = [[Влад с удивлением смотрел на окна здания.]],
	obj = {
		[1] = phr('Что думаешь обо всём этом?', 'Наверное, там осталось что-нибудь интересное!', [[pon(2)]]),
		[2] = _phr('Ну ладно... Пойду я.', 'Ага...', [[back(main1);]]),
		},
		}
zamok = obj {
var { closed = true
};
nam = 'Замок',
dsc = function (s)
if s.closed then
p [[На двери висит закрытый ржавый навесной {замок}.]];
else
p [[На двери висит открытый {замок}.]];
end;
end,
used = function (s,w)
if w == key then
s.closed = false,
p [[Ура! Замок открыт!]];
else
p [[Этим мне его не открыть...]];
end;
end,
act = function(s)
if s.closed then 
p [[Обычный навесной замок, проржавевший напрочь. Судя по всему, закрытый.]];
else
p [[Обычный навесной замок, проржавевший напрочь. Он открыт, а внутри него находится обломанный ключ.]];
end;
end,
}
key = obj {
nam = 'Ключ',
dsc = [[За гнилой доской я вижу что-то блестящее... Это же {ключ}!]];
tak = [[Немного изловчившись, я странно изогнул кисть и достал ключ.]];
inv = [[Ключ как ключ, ничего особенного]];
use = function (s,w)
if w == zamok then
remove (s,me());
p [[Ключ подошёл!]];
else
p [[Как мне это открыть?]];
end;
end,
}
hospitaldr = room {
	var { seen = false
	},
	entered = function(s)
	if not s.seen then
	disable(room3dr);
	end;
	end;
forcedsc = true,
nam = 'Больница',
dsc = function (s)
if s.seen == false then
p [[Дверь со скрипом открылась, и мы вошли внутрь.^^ Изнутри эта больница была куда мрачнее, чем снаружи. На полу валялись обрывки документов, пачки чипсов и прочий мусор^^ Я вижу три двери.]];
s.seen = true;
elseif room1dr.seen and room2dr.seen and room3dr.seen then
p [[Изнутри эта больница была куда мрачнее, чем снаружи. Здесь царствовали горы мусора. Я заметил {ladderdr|лестницу} на второй этаж.]];
else
p [[Изнутри эта больница была куда мрачнее, чем снаружи. Здесь царствовали горы мусора.]];
end;
end,
obj = {
	'garbage',
	'doordr',
	xact('ladderdr', code[[walk(upperfloordr);]]),
	},
way = {
	'room1dr',
	'room2dr',
	'room3dr',
	},
	};
garbage = obj {
	var { dug = false
	},
	nam = 'Свалка мусора',
	dsc = [[{Груды рваного тряпья, документов и строительного мусора} равномерно распределены по всей площади комнаты.]],
	act = function (s)
	if s.dug == false then
	p [[Я покопался в мусоре и нашёл ключ.]];
	s.dug = true;
	take(keydr1);
	else
	p [[Я не хочу лезть туда ещё раз...]];
	end;
	end,
	};
	keydr1 = obj {
		nam = 'Ржавый ключ',
		inv = 'Ключ как ключ, только немного ржавый.',
		use = function (s,w)
		if w == door2r3 then
		p [[Ключ подошёл!]];
		remove(s,me());
		end;
		end,
		};
doordr = obj {
nam = 'Дверь назад',
dsc = [[{Дверь} назад выглядит закрытой...]],
act = [[Ручка не поддаётся! Она захлопнулась...]],
};
paveldr = dlg{
	hideinv = true,
nam = 'Разговор с Павлом',
dsc = [[Я подошёл к Паше. Он с удивлением рассматривал здание.]],
obj = {
[1] = phr ('Что об этом думаешь?','Не знаю... Странно как-то', [[pon(2);]]),
[2] = _phr ('Тут опасно?','Не думаю, но всё равно следует быть осторожней.', [[pon(3);]]),
[3] = _phr ('Ну, я тогда пошёл...', true, [[walk(main1);]]),
},
}
room1dr = room {
var { seen = false
},
forcedsc = true,
nam = 'Комната',
dsc = function (s)
if not s.seen then
p [[Полуразрушенная комната, в которой очень, я бы даже сказал ОЧЕНЬ, много мусора. Со мной сюда зашёл {paveldr2|Паша}.]];
s.seen = true
else
p [[Полуразрушенная комната, в которой очень, я бы даже сказал ОЧЕНЬ, много мусора. Со мной сюда зашёл {paveldr2|Паша}.]];
end;
end,
obj = {
 'knife_rusty',
 'boot',
 xact('paveldr2', code[[walk(paveldr2);]]),
},
way = {
	'hospitaldr',
},
};

knife_rusty = obj {
nam = 'Ржавый нож',
dsc = [[Среди кучи мусора я обнаружил ржавый, тупой {ножик}.]],
act = [[Он мне не нужен, у меня есть свой походный нож, гораздо лучше этого.]],
};
boot = obj {
nam = 'Кроссовок',
dsc = [[Чёрный {кроссовок} известной фирмы "Naik" лежит в самом центре комнаты. Странно, что он здесь делает?]],
act = [[И что мне с ним делать?]],
};
paveldr2 = dlg {
hideinv = true,
nam = 'Разговор с Павлом',
dsc = 'Паша разглядывает комнату с неподдельным интересом',
obj = {
[1] = phr ('Как думаешь, что это была за комната?', 'Я думаю, тут был душ.', [[walk(room1dr);]]),
},
}
room2dr = room {
	var { seen = false
	};
	forcedsc = true,
nam = 'Комната',
entered = function ()
if not door2r3.opened and room3dr.seen then
enable(hospitaldr);
disable(room3dr);
end;
end,
dsc = function (s)
if s.seen == false then
p [[Вторая комната выглядит самой чистой среди остальных в этом помещении. Сюда зашёл {paveldr3|Паша}.]];
s.seen = true;
elseif prut.broken == true then
p [[Вторая комната выглядит самой чистой среди остальных в этом помещении. Теперь можно {g2y|пролезть} в окно.]];
else
p [[Вторая комната выглядит самой чистой среди остальных в этом помещении. Сюда зашёл {paveldr3|Паша}.]];
end;
end,
obj = {
xact('paveldr3', code[[walk(paveldr3);]]),
xact('g2y', code[[walk(yarddr);]]),
'tabledr',
'windowdr1',
},
way = {
	'hospitaldr',
	},
};
windowdr1 = obj {
	var { broken = false
	},
	nam = 'Окно',
	dsc = function (s)
	if s.broken then 
	p [[ Из огромного разбитого {окна} открывается замечательный вид на заброшенный двор.]];
	else
	p [[В комнате расположено огромное {окно}. Из него ничего не видно -- слишком долго не мыли.]];
	end;
	end,
	act = 'Я посмотрел в окно.',
	used = function (s,w)
	if w == axedr and not s.broken then
	p [[ Осколки посыпались на пол.]];
	s.broken = true;
	else 
	p '';
	end;
	end,
	obj = {
		'prut',
		},
		}
prut = obj {
	nam = 'Решётка',
	var { broken = false,
	},
	dsc = function(s)
	if s.broken then
	p [[Большая {решётка}, раннее закрывавшая окно, теперь пришла в негодность, так как я обломал прутья.]];
	elseif windowdr1.broken then
	p [[Большая {решётка} закрывает проход.]];
	end;
	end,
	act = 'Обычная решётка. Немного ржавая.',
	used = function (s,w)
	if w == axedr and not s.broken then
	s.broken = true;
	p [[Несколько прутьев отломались от решётки.]];
	elseif s.broken == true and w == axedr then
	p [[Я уже сломал достаточно прутьев.]];
	end;
	end,
	};
paveldr3 = dlg {
hideinv = true,
nam = 'Разговор с Павлом',
dsc = [[Паша озирается вокруг. Видимо, эта комната его заинтересовала.]],
obj = {
[1] = phr('А эта комната как тебе?', 'Весьма приемлимо. Думаю, тут был душ.', [[pon(2,3);]]),
[2] = _phr('А Влад где?', 'А он ещё в зале. Осматривается.', [[walk(room2dr);]]),
[3] = _phr('Ну, я пошёл', true, [[walk(room2dr);]]),
},
};
tabledr = obj {
nam = 'Стол',
dsc = [[В углу комнаты стоит {стол}. На нём лежит груда мусора.]],
act = [[Я его не утащу...]],
obj = {
'axedr',
},
};
axedr = obj {
nam = 'Топорик',
dsc = [[В столе торчит небольшой {топорик}]],
tak = [[Я подобрал топорик. А что? Вдруг пригодится.]],
inv = [[Я провёл по лезвию. Острый!]],
use = function (s,w)
if w == windowdr1 or w == windowdr2 or w == prut then
p [[Я со всей силы ударил топором.]];
elseif w == doordr then 
p [[Я попытался разрубить дверь -- слишком крепкая...]];
elseif w == penchekryak then
p [[ ]];
else
p [[Не хочу это рубить.]];
end;
end,
};
room3dr = room {
  var { seen = false,
  },
  forcedsc = true,
nam = 'Подсобка',
dsc = function (s)
if s.seen == false then
p [[Странно, но тут совсем ничего нет...^Огромное разбитое {drwind|окно} выглядит сиротливо. ]];
disable(hospitaldr);
s.seen = true;
elseif door2r3.opened then
p [[{paveldr4|Паша} зашёл в подсобку. Странно, но тут совсем ничего нет...^Огромное разбитое {drwind|окно} выглядит сиротливо.]];
else 
p [[Странно, но тут совсем ничего нет...^Огромное разбитое {drwind|окно} выглядит сиротливо. ]];
end;
end,
obj = {
xact('paveldr4', code[[walk(paveldr4);]]),
xact('drwind', code[[walk(yarddr); p 'Я перелез в дворик.';]]),
'door2r3',
},
way = {
 'hospitaldr',
	},
};
windowdr2 = obj {
	var{ broken = false},
	nam = 'Окно',
	dsc = function (s)
	if s.broken then
	p [[Огромное разбитое {окно}, через которое можно залезть обратно.]];
	else
	p [[^Огромное закрытое {окно} ведёт внутрь.]];
	end;
	end,
	act = function (s)
	if s.broken then 
	p [[Я перелез внутрь.]];
	walk(room3dr);
	enable(room3dr);
	elseif s.broken and not door2r3.opened then
	p [[Я перелез внутрь.]];
	disable(hospitaldr);
	enable(room3dr);
	walk(room2r3);
	else
	p [[Я попытался открыть окно -- заперто.]];
	end;
	end,
	used = function(s,w)
	if not s.broken and w == axedr then
	p [[Осколки посыпались во все стороны.]];
	s.broken = true;
	enable(room3dr);
	else 
	p [[Зачем?]];
	end;
	end,
	};
	yarddr = room {
		nam = 'Дворик',
		dsc = function (s)
		if s.seen then
		p [[Дворик около больницы порос {hurt|крапивой}. В зарослях виднеется большой {garage|гараж} с приоткрытой дверью.]];
		else
		p [[Я вылез в дворик около больницы. Он весь порос крапивой.]];
		s.seen = true;
		end;
		end,
		obj = {
			'windowdr2',
			xact('hurt', 'Ай! Жжётся!'),
			xact('garage', 'Он вроде бы близко, да только лезть через крапиву не хочется.'),
			},
			way = {
				'room2dr',
			},
			};
door2r3 = obj {
	var {opened = false,
	     seen = false,
	     },
	nam = 'Дверь',
	entered = function (s)
	s.seen = true;
	end;
	dsc = [[Единственная уцелевшая деревянная {дверь} во всём здании.]],
	act = function (s)
	if s.opened then 
	p [[Я немного приоткрыл дверь.]];
	else
	p [[Я попытался открыть дверь -- заперто.]];
	end;
	end,
	used = function(s,w)
	if w == keydr1 then
	s.opened = true;
	enable(hospitaldr);
	p [[Дверь открылась.]];
	end;
	end,
	};
paveldr4 = dlg {
hideinv = true,
nam = 'Разговор с Павлом',
dsc = [[Паша осматривает всё вокруг.]],
obj = {
[1] = phr('Что думаешь об этой подсобке?', 'Я думаю... Что тут проходили обряды жертвоприношения...', [[pon(2);]]),
[2] = _phr('П-правда?', 'Конечно нет! Я уверен, что тут находилась душевая. А ты, что, поверил?', [[pon(3);]]),
[3] = _phr('Да ну тебя, шутник...',true, [[walk(room3dr);]]),
},
}; 
upperfloordr = room {
forcedsc = true,
nam = 'Второй этаж',
dsc = function ()
if penchekryak.damaged == false then
p	[[Как только мы поднялись наверх, я почуствовал жуткий запах разлагающейся плоти.]];
else
p [[Рассвирипевший пенчекряк тянется ко мне... Я чувствую жуткую вонь из его {next1|пасти}.]];
end;
end,
obj = {
'penchekryak',
xact('next1', code[[walk(death);]]),
},
};
penchekryak = obj {
	var { damaged = false
	};
nam = 'Пенчекряк',
dsc = function (s)
if s.damaged == false then
p [[В углу комнаты в горе мусора копается огромный {пенчекряк}.]];
else
disable(s);
end;
end,
act = [[Кажется, он нас заметил...]],
used = function (s, w)
if w == knifedr then
s.damaged = true;
remove (w, me());
p [[Я со всей силы ударил пенчекряка ножом.^]];
elseif w == axedr then
remove (w, me());
p [[Я кинул топорик, но, к сожалению, не попал.]];
else
p [[Как мне его остановить этим?!]];
end;
end,
}
death = room {
forcedsc = true,
entered = function ()
  set_music('files/a_h_d.ogg');
  end;
nam = "Конец",
dsc = function ()
remove (lighterdr, me());
remove (axedr, me());
remove (keydr1, me());
p [[Пенчекряк набросился на меня и перегрыз мне горло. Не зря пеленги назвали военную серию корпусов его именем... ^^ {awake|Жизнь великого рейнджера закончилась...}]];
end;
obj = {
xact('awake', code[[walk(myroom);]]),
},
}
